Bug 248888 - graphics/qgis-ltr: Update to 3.10.9
Summary: graphics/qgis-ltr: Update to 3.10.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-24 20:32 UTC by Rainer Hurling
Modified: 2020-08-29 20:08 UTC (History)
3 users (show)

See Also:


Attachments
patch to update from 3.10.4 to 3.10.9 (11.56 KB, patch)
2020-08-24 20:32 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff
additional improvements on top of submitter's patch (14.59 KB, patch)
2020-08-26 07:08 UTC, Fernando Apesteguía
fernape: maintainer-approval? (rhurlin)
Details | Diff
patch with improvements, but without devel/py-laspy dep (14.02 KB, patch)
2020-08-26 09:57 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff
qgis-ltr: rainer and fernando patch with sip5 patches (30.58 KB, patch)
2020-08-28 10:21 UTC, Loïc Bartoletti
no flags Details | Diff
qgis-ltr: rainer and fernando patch with sip5 patches v2 (29.33 KB, patch)
2020-08-28 13:48 UTC, Loïc Bartoletti
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2020-08-24 20:32:49 UTC
Created attachment 217504 [details]
patch to update from 3.10.4 to 3.10.9

This is a minor update for the QGIS LTR version 3.10.4 to 3.10.9.

Changes of the port:
- Update to 3.10.9
- Remove patch file for QT 5.15.0 (upstream now)
- Add a license file
- Add some Python dependencies: geopandas, pandas, jedi, nltk,
  psutil, pyrsgis, and qt5-quick
- Add INSTALLS_ICONS=yes
- Remove files/patch-src_analysis_interpolation_qgsinterpolator.h,
  files/patch-src_core_CMakeLists.txt
- Update pkg-plist

I am not sure, if it is necessary to also implement the sip and PyQt5 (cmake) patches like in graphics/qgis (Makefile and files/)?


The patch is tested on Poudriere (12.1a, 11.4a, and HEADa, i386 does not build because of a broken dependency).

'portlint -AC' seems happy
Comment 1 Fernando Apesteguía freebsd_committer 2020-08-25 17:04:49 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Rainer Hurling freebsd_committer 2020-08-25 18:32:29 UTC
(In reply to Fernando Apesteguía from comment #1)

There is a very detailed visual changelog[1], something like release notes. The most notable fixes are listed in its last chapter[2].

I found nothing about changes from 3.10.4 to 3.10.9 only.


[1] https://qgis.org/en/site/forusers/visualchangelog310
[2] https://qgis.org/en/site/forusers/visualchangelog310/#notable-fixes
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-26 07:08:28 UTC
Created attachment 217532 [details]
additional improvements on top of submitter's patch

Patch with some variables moved to the sections they belong.
Comment 4 Fernando Apesteguía freebsd_committer 2020-08-26 07:10:03 UTC
Hi Rainer,

Thanks for the update. What is this new devel/py-laspy that is in RUN_DEPENDS? I can't seem to find it in the ports repository.
Comment 5 Rainer Hurling freebsd_committer 2020-08-26 09:55:44 UTC
(In reply to Fernando Apesteguía from comment #4)

Oops, that should not have happened.

devel/py-laspy is an only local port, I am developing for the QGIS plugin 'LiDAR Forestry Height'. py-laspy is not submitted until now, because it needs a laszip binary, included in misc/lastools. misc/lastools itself conflicts with devel/liblas, needed by databases/grass7:

Installing LAStools-g20181019_1...
pkg-static: LAStools-g20181019_1 conflicts with liblas-1.8.1_19 (installs files into the same place).  Problematic file: /usr/local/bin/las2txt

Obviously, this needs some work here.


Many thanks for your work on the Makefile of my patch, especially moving some variables to the sections they belong to!

I prepared a new patch with your changes, but without devel/py-laspy.
Comment 6 Rainer Hurling freebsd_committer 2020-08-26 09:57:52 UTC
Created attachment 217534 [details]
patch with improvements, but without devel/py-laspy dep

Tested on Poudriere, 'portlint -AC' seems fine.
Comment 7 Fernando Apesteguía freebsd_committer 2020-08-26 12:00:42 UTC
No worries.

Build testing. It is going to take a while...
Comment 8 Loïc Bartoletti freebsd_committer 2020-08-28 08:53:59 UTC
Rainer, Fernando,


> I am not sure, if it is necessary to also implement the sip and PyQt5 (cmake) patches like in graphics/qgis (Makefile and files/)?

I worked on it, I'll merge your patches with mine.
Comment 9 Rainer Hurling freebsd_committer 2020-08-28 09:04:53 UTC
(In reply to Loïc Bartoletti from comment #8)

Hi Loïc,
Nice to hear! Many thanks.
Comment 10 Fernando Apesteguía freebsd_committer 2020-08-28 09:24:29 UTC
(In reply to Loïc Bartoletti from comment #8)
Excellent, thanks!

As a side note, I'm having difficulties to build test this port One of the dependencies in the tree (multimedia/assimp) does not build at the moment.

My current needs to build 373 packages to test this one :S
Comment 11 Rainer Hurling freebsd_committer 2020-08-28 10:01:26 UTC
(In reply to Fernando Apesteguía from comment #10)

> As a side note, I'm having difficulties to build test this port One of the 
> dependencies in the tree (multimedia/assimp) does not build at the moment.

Yes, on i386, multimedia/assimp does not build for some time now. I reported before[1].

[1] https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247622#c0
Comment 12 Loïc Bartoletti freebsd_committer 2020-08-28 10:21:52 UTC
Created attachment 217580 [details]
qgis-ltr: rainer and fernando patch with sip5 patches

Here the patch.

Rainer, I readd patch-src_core_CMakeLists.txt since it doesn't build without it (on my poudriere).

And I add patches to build with sip5 (still a WIP).

Tested on poudriere 12amd64 and 12amd64 with sip5
Comment 13 Rainer Hurling freebsd_committer 2020-08-28 10:45:10 UTC
(In reply to Loïc Bartoletti from comment #12)

Hmm, you are right. The second part of patch-src_core_CMakeLists.txt should not have been removed :(  It is needed until now.

And thanks for all the other patches under files. I was not aware, that there had been problems with finding QtQmlTools and Qwt.

Is patch-cmake_FindPythonLibrary.cmake only for Apple, or is FreeBSD included in this context?


I rerun with your patches on Poudriere, this will take some time.
Comment 14 Rainer Hurling freebsd_committer 2020-08-28 11:01:38 UTC
(In reply to Rainer Hurling from comment #13)

The first run on Poudriere (CURRENT amd64) went fine.


'portlint -AC' complains about some 'sorting':

WARN: Makefile: [98]: possible direct use of command "gmake" found. use ${GMAKE} instead.
WARN: Makefile: possible use of absolute pathname "/tmp/srs.db".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
FATAL: Makefile: extra item "PATCH_SITES" placed in the LICENSE section.
FATAL: Makefile: extra item "PATCHFILES" placed in the LICENSE section.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LICENSE" has to appear earlier.
WARN: Makefile: "LICENSE_FILE" has to appear earlier.
WARN: Makefile: "LIB_DEPENDS" has to appear earlier.
WARN: Makefile: "BUILD_DEPENDS" has to appear earlier.
WARN: Makefile: "RUN_DEPENDS" has to appear earlier.
WARN: Makefile: "USES" has to appear earlier.
2 fatal errors and 12 warnings found.
Comment 15 Loïc Bartoletti freebsd_committer 2020-08-28 13:48:09 UTC
Created attachment 217591 [details]
qgis-ltr: rainer and fernando patch with sip5 patches v2

- rm patch-cmake_FindPythonLibrary.cmake
- move PATCHSITES / PATCH_FILES
Comment 16 Rainer Hurling freebsd_committer 2020-08-28 16:40:15 UTC
Comment on attachment 217591 [details]
qgis-ltr: rainer and fernando patch with sip5 patches v2

'portlint -AC' is fine now, Poudriere builds.

Running QGIS with some test projects seems ok.


Many thanks for the new patch!
Comment 17 Fernando Apesteguía freebsd_committer 2020-08-29 16:59:10 UTC
Hi Loïc,

I'm not going to be able to test this right down. Would you like to land this?
Comment 18 Loïc Bartoletti freebsd_committer 2020-08-29 19:52:57 UTC
(In reply to Fernando Apesteguía from comment #17)
Sure, I build it so often... :D
Comment 19 commit-hook freebsd_committer 2020-08-29 20:00:05 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Aug 29 19:59:44 UTC 2020
New revision: 546945
URL: https://svnweb.freebsd.org/changeset/ports/546945

Log:
  graphics/qgis-ltr: Update to 3.10.9

  - Update to 3.10.9
  - Remove patch file for QT 5.15.0 (upstream now)
  - Add a license file
  - Add some Python dependencies: geopandas, pandas, jedi, nltk,
    psutil, pyrsgis, and qt5-quick
  - Add INSTALLS_ICONS=yes
  - Remove files/patch-src_analysis_interpolation_qgsinterpolator.h
  - Update pkg-plist
  - Prepare for sip5 and PyQT 5.15

  PR:		248888
  Submitted by:	Rainer Hurling (maintainer)
  Reviewed by:	fernape, lbartoletti

Changes:
  head/graphics/qgis-ltr/Makefile
  head/graphics/qgis-ltr/distinfo
  head/graphics/qgis-ltr/files/patch-CMakeLists.txt
  head/graphics/qgis-ltr/files/patch-cmake_FindPyQt5.py
  head/graphics/qgis-ltr/files/patch-cmake_FindQGIS.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindQtQmlTools.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindQwt.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindSIP.cmake
  head/graphics/qgis-ltr/files/patch-cmake_FindSIP.py
  head/graphics/qgis-ltr/files/patch-cmake_SIPMacros.cmake
  head/graphics/qgis-ltr/files/patch-src_analysis_interpolation_qgsinterpolator.h
  head/graphics/qgis-ltr/files/patch-src_core_CMakeLists.txt
  head/graphics/qgis-ltr/pkg-plist
Comment 20 Loïc Bartoletti freebsd_committer 2020-08-29 20:05:04 UTC
Committed, thanks!
Comment 21 Fernando Apesteguía freebsd_committer 2020-08-29 20:08:06 UTC
(In reply to Loïc Bartoletti from comment #20)

Thanks!